<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package TOURIMO
 * @since TOURIMO 1.0.50
 */

$tourimo_template_args = get_query_var( 'tourimo_template_args' );
if ( is_array( $tourimo_template_args ) ) {
	$tourimo_columns    = empty( $tourimo_template_args['columns'] ) ? 2 : max( 1, $tourimo_template_args['columns'] );
	$tourimo_blog_style = array( $tourimo_template_args['type'], $tourimo_columns );
} else {
	$tourimo_blog_style = explode( '_', tourimo_get_theme_option( 'blog_style' ) );
	$tourimo_columns    = empty( $tourimo_blog_style[1] ) ? 2 : max( 1, $tourimo_blog_style[1] );
}
$tourimo_blog_id       = tourimo_get_custom_blog_id( join( '_', $tourimo_blog_style ) );
$tourimo_blog_style[0] = str_replace( 'blog-custom-', '', $tourimo_blog_style[0] );
$tourimo_expanded      = ! tourimo_sidebar_present() && tourimo_get_theme_option( 'expand_content' ) == 'expand';
$tourimo_components    = ! empty( $tourimo_template_args['meta_parts'] )
							? ( is_array( $tourimo_template_args['meta_parts'] )
								? join( ',', $tourimo_template_args['meta_parts'] )
								: $tourimo_template_args['meta_parts']
								)
							: tourimo_array_get_keys_by_value( tourimo_get_theme_option( 'meta_parts' ) );
$tourimo_post_format   = get_post_format();
$tourimo_post_format   = empty( $tourimo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $tourimo_post_format );

$tourimo_blog_meta     = tourimo_get_custom_layout_meta( $tourimo_blog_id );
$tourimo_custom_style  = ! empty( $tourimo_blog_meta['scripts_required'] ) ? $tourimo_blog_meta['scripts_required'] : 'none';

if ( ! empty( $tourimo_template_args['slider'] ) || $tourimo_columns > 1 || ! tourimo_is_off( $tourimo_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $tourimo_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( tourimo_is_off( $tourimo_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $tourimo_custom_style ) ) . "-1_{$tourimo_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $tourimo_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $tourimo_columns )
					. ' post_layout_' . esc_attr( $tourimo_blog_style[0] )
					. ' post_layout_' . esc_attr( $tourimo_blog_style[0] ) . '_' . esc_attr( $tourimo_columns )
					. ( ! tourimo_is_off( $tourimo_custom_style )
						? ' post_layout_' . esc_attr( $tourimo_custom_style )
							. ' post_layout_' . esc_attr( $tourimo_custom_style ) . '_' . esc_attr( $tourimo_columns )
						: ''
						)
		);
	tourimo_add_blog_animation( $tourimo_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'tourimo_action_show_layout', $tourimo_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $tourimo_template_args['slider'] ) || $tourimo_columns > 1 || ! tourimo_is_off( $tourimo_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
